/caferimo-sales-invoices-delete-one

Summary

  • Source repository: jef-systems/jef-caferimo-backend

  • Source SHA: 34c5a4f7f6891cb316e3bb2803081a3c35d4aa22

  • Source run id: 25862680282

  • Lambda function: jef-caferimo-sales-invoices-delete-one

  • HTTP method: DELETE

  • API path: /caferimo-sales-invoices-delete-one

  • Endpoint URL: https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sales-invoices-delete-one

  • Payload mode: json-body

Description

  • Function: jef-caferimo-sales-invoices-delete-one

  • Module: jef-caferimo

  • Action: delete-one

  • Method: DELETE

  • Invocation Mode: ASYNC

  • Resource Path: /caferimo-sales-invoices-delete-one

  • Table: jef-caferimo-sales-invoices

  • Primary Key: sales_invoice_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • sales\_invoice\_id: 361f9609-7fe3-448e-a090-dce483dc63fa

Payload Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.sales_invoice_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.sales_invoice_id.required",
    "value": "True"
  },
  {
    "key": "root.attributes.sales_invoice_id.format",
    "value": "uuidv4"
  },
  {
    "key": "root.attributes.sales_invoice_id.regex",
    "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
  }
]

Response Schema

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

Request Payload

[
  {
    "key": "sales_invoice_id",
    "value": "361f9609-7fe3-448e-a090-dce483dc63fa"
  }
]

Response

[
  {
    "key": "root.type",
    "value": "M"
  },
  {
    "key": "root.required",
    "value": "True"
  },
  {
    "key": "root.attributes.is_accepted.type",
    "value": "BOOL"
  },
  {
    "key": "root.attributes.is_accepted.required",
    "value": "True"
  },
  {
    "key": "root.attributes.message.type",
    "value": "S"
  },
  {
    "key": "root.attributes.message.required",
    "value": "True"
  },
  {
    "key": "root.attributes.request_id.type",
    "value": "S"
  },
  {
    "key": "root.attributes.request_id.required",
    "value": "False"
  }
]

CMD curl

curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw "{\"sales_invoice_id\": \"361f9609-7fe3-448e-a090-dce483dc63fa\"}"

PowerShell curl

curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw '{"sales_invoice_id": "361f9609-7fe3-448e-a090-dce483dc63fa"}'